Bug 183834 - [Web Animations] Make imported/mozilla/css-animations/test_animation-starttime.html pass reliably
Summary: [Web Animations] Make imported/mozilla/css-animations/test_animation-starttim...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Animations (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-03-21 08:39 PDT by Antoine Quint
Modified: 2018-06-28 14:13 PDT (History)
3 users (show)

See Also:


Attachments
Patch (11.38 KB, patch)
2018-06-28 08:16 PDT, Antoine Quint
dino: review+
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews200 for win-future (12.97 MB, application/zip)
2018-06-28 09:55 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2018-03-21 08:39:53 PDT
The new tests added under imported/mozilla/css-animations and imported/mozilla/css-transitions are mostly failing reliably, flaky or timing out.
Comment 1 Radar WebKit Bug Importer 2018-06-11 02:57:33 PDT
<rdar://problem/40997932>
Comment 2 Antoine Quint 2018-06-28 08:16:06 PDT
Created attachment 343808 [details]
Patch
Comment 3 Build Bot 2018-06-28 09:55:38 PDT
Comment on attachment 343808 [details]
Patch

Attachment 343808 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8370193

New failing tests:
http/tests/security/canvas-remote-read-remote-video-blocked-no-crossorigin.html
imported/mozilla/css-animations/test_animation-starttime.html
Comment 4 Build Bot 2018-06-28 09:55:50 PDT
Created attachment 343814 [details]
Archive of layout-test-results from ews200 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews200  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 5 Antoine Quint 2018-06-28 14:13:23 PDT
Committed r233325: <https://trac.webkit.org/changeset/233325>